<!DOCTYPE html>
<html>
<head> 
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>
<body>
<div class="container">
  <h3>jQUERY BASIC METHODS</h3>
  <!-- Div voucher 01 -->
  <div id="voucher-form-01" class="row jumbotron">
    <div class="row form-group">
        1) Khi ấn nút Kiểm tra 01, lấy giá trị ở ô Mã giảm giá và cho vào thẻ div id = "ma-giam-gia-01" <br>
        Gợi ý: sử dụng phương thức <span style="color: red;">.val() </span> để lấy giá trị của ô Text; <span style="color: red;">.html() </span> để thay đổi giá trị innerHTML
    </div>
    <div class="row form-group align-middle">
      <div class="col-sm-6 form-inline">
        <label for="fname">Mã giảm giá</label>
        <input type="text" id="voucher-01" name="voucher" placeholder="Nhập mã giảm giá.." class="form-control">
      </div>
      <div class="col-sm-6 form-inline">
        <div id="ma-giam-gia-01">ma-giam-gia-01</div>
      </div>
    </div>
    <div class="form-group">
      <button class="btn btn-success" id="btn-kiem-tra-1">Kiểm tra 01</button>
    </div>
  </div>

  <!-- Div voucher 02 -->
  <div id="voucher-form-02" class="row jumbotron">
    <div class="row form-group">
      2) Khi ấn nút Kiểm tra 02, lấy giá trị ở trong thẻ div "ma-giam-gia-02" và cho vào ô text id = "voucher-02" <br>
      Gợi ý: sử dụng phương thức <span style="color: red;">.html() </span> hoặc <span style="color: red;">.text() </span> để lấy giá trị của thẻ div; <span style="color: red;">.val() </span> để thay đổi giá trị ô Text
    </div>
    <div class="row form-group">
      <div class="col-sm-6">
        <div id="ma-giam-gia-02">24864</div>
      </div>
      <div class="col-sm-6 form-inline">
        <label for="fname">Mã giảm giá</label>
        <input type="text" id="voucher-02" name="voucher" placeholder="mã giảm giá.." class="form-control">
      </div>
    </div>
    <div class="form-group">
      <button class="btn btn-success" id="btn-kiem-tra-2">Kiểm tra 02</button>
    </div>
  </div>

  <!-- Div 2 button -->
  <div id="content-form" class="row jumbotron">
    <div class="row form-group">
      3) Khi ấn 2 nút bên dưới, đổi màu chữ thẻ div có id = "content-div" tương ứng với màu nút<br>
    </div>
    <div class="row form-group">
      <div id="content-div">Nội dung bên trong thẻ div cần đổi màu</div>
    </div>
    <div class="form-group">
      <button class="btn btn-danger" id="btn-mau-do">Màu đỏ</button>
      <button class="btn btn-warning" id="btn-mau-vang">Màu vàng</button>
    </div>
  </div>
</div>

</body>

<script>
  $(document).ready(function(){
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $("#btn-kiem-tra-1").on('click', onBtnButton01Click);
      /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
      //hàm xử lý khi nhân nút kiểm tra 1
      function onBtnButton01Click(){
        "use strict"
        console.log("%c Subtask 1: ", "color: red");
        var vInpVoucher01 = $("#voucher-01"); //truy xuất ô mã giảm giá 01
        var vVoucherValue = vInpVoucher01.val(); //lấy giá trị của ô input 01
        console.log("Id voucher 01: " + vInpVoucher01.attr('id')); //ghi ra console id và mã giảm giá 01 
        var vDivMaGiamGia01 = $("#ma-giam-gia-01");
        console.log("ID div 01: " + vDivMaGiamGia01.attr("id")); // ghi ra console id của thẻ div
        vDivMaGiamGia01.html(vInpVoucher01); //dùng phương thức html() để thay đổi giá trị của thẻ div
      }

      //subtask 2: truy xuất và gán sự kiện click cho nút kiểm tra 2
      $("#btn-kiem-tra-2").on('click', onBtnButton02Click);
      
      //viết hàm xử lý sự kiện khi nút kiểm tra 2 được nhấn 
      function onBtnButton02Click(){
        "use strict"
        console.log("%c subtask 2 ", "color:red");

        var vInpVoucher2 = $("#voucher-02"); //truy xuất phần tử inp 02 
        console.log("Id voucher 02: " + vInpVoucher2.attr("id")); //ghi ra console id của ô inp 02
        var vDivMaGiamGia02 = $("#ma-giam-gia-02");
        var vDivMaGiamGia02Value = vDivMaGiamGia02.text(); //sử dụng phương thức .text() để lấy giá trị của thẻ div
        console.log("ID div 02: ", vDivMaGiamGia02.attr("id")); //ghi ra console của thẻ div

      vInpVoucher2.val(vDivMaGiamGia02Value); //dùng phương thức .val() để thay đổi giá trị ô TEXT  (ô giảm giá 02);


      }

      
      //subtask 3: truy xuất và gán sự kiện cho nút đổi màu đỏ
      $("#btn-mau-do").on("click", onBtnChangRedClick);

      //hàm xử lý sự kiện khi nhấn nút đổi màu đỏ 
      function onBtnChangRedClick(){
        "use strict"
        console.log("%c subtask 3:", "color: red");
        var vDivCanDoiMau = $("#content-div");
        vDivCanDoiMau.addClass("text-danger");
      }

      
      //subtask 3: truy xuất và gán sự kiện cho nút đổi màu đỏ
      $("#btn-mau-vang").on("click", onBtnChangYellowClick);

      //hàm xử lý sự kiện khi nhấn nút đổi màu đỏ 
      function onBtnChangYellowClick(){
        "use strict"
        console.log("%c subtask 4:", "color: red");
        var vDivCanDoiMau = $("#content-div");
        vDivCanDoiMau.css("color", "yellow");
      }
    
    

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

  });
</script>
</html>
                                                                                                   